<mat-sidenav-container class="app-container">
  <mat-sidenav
    #sidenav
    class="app-sidenav mat-elevation-z10"
    [opened]="!isScreenSmall"
    [mode]="isScreenSmall ? 'over' : 'side'"
  >
    <mat-toolbar color="primary">Contacts</mat-toolbar>
    <mat-list>
      <mat-list-item *ngFor="let user of users$ | async">
        <a mat-list-item href="#" [routerLink]="['/contactmanager', user.id]">
          <mat-icon svgIcon="{{ user.avatar }}"></mat-icon>
          <mat-list-item>{{ user.name }}</mat-list-item></a
        >
      </mat-list-item>
    </mat-list>
  </mat-sidenav>

  <div class="app-sidenav-content">
    <app-toolbar (toggleSidenav)="sidenav.toggle()"></app-toolbar>
    <div class="wrapper">
      <router-outlet></router-outlet>
    </div>
  </div>
</mat-sidenav-container>
